---
document: modulemd
version: 2
data:
  name: eclipse
  stream: "rhel8"
  version: 8070020230328123605
  context: 7c4c8caf
  arch: aarch64
  summary: An open, extensible IDE and application platform
  description: >-
    The Eclipse platform is designed for building integrated development environments
    (IDEs), desktop applications, and everything in between.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
      tycho: [rhel8]
    requires:
      platform: [el8]
  profiles:
    java:
      rpms:
      - eclipse-equinox-osgi
      - eclipse-jdt
      - eclipse-pde
      - eclipse-platform
      - eclipse-swt
  api:
    rpms:
    - eclipse-ecf-core
    - eclipse-ecf-runtime
    - eclipse-emf-core
    - eclipse-emf-runtime
    - eclipse-emf-xsd
    - eclipse-equinox-osgi
    - eclipse-jdt
    - eclipse-p2-discovery
    - eclipse-pde
    - eclipse-platform
    - eclipse-swt
  filter:
    rpms:
    - apache-commons-compress-javadoc
    - apache-commons-jxpath-javadoc
    - apache-sshd-javadoc
    - apiguardian-javadoc
    - args4j-javadoc
    - args4j-parent
    - args4j-tools
    - batik
    - batik-demo
    - batik-javadoc
    - batik-rasterizer
    - batik-slideshow
    - batik-squiggle
    - batik-svgpp
    - batik-ttf2svg
    - bouncycastle-javadoc
    - eclipse-ecf-sdk
    - eclipse-emf-sdk
    - ed25519-java-javadoc
    - felix-gogo-command-javadoc
    - felix-gogo-runtime-javadoc
    - felix-gogo-shell-javadoc
    - felix-scr-javadoc
    - glassfish-annotation-api-javadoc
    - glassfish-el-javadoc
    - glassfish-jsp-api-javadoc
    - glassfish-jsp-javadoc
    - glassfish-servlet-api-javadoc
    - google-gson-javadoc
    - hamcrest-demo
    - hamcrest-javadoc
    - icu4j-charset
    - icu4j-javadoc
    - icu4j-localespi
    - javaewah-javadoc
    - jetty
    - jetty-client
    - jetty-jaas
    - jetty-javadoc
    - jetty-jmx
    - jetty-webapp
    - jetty-xml
    - jsch-javadoc
    - junit-javadoc
    - junit-manual
    - junit5-guide
    - junit5-javadoc
    - jzlib-demo
    - jzlib-javadoc
    - lucene-backward-codecs
    - lucene-classification
    - lucene-codecs
    - lucene-grouping
    - lucene-highlighter
    - lucene-javadoc
    - lucene-join
    - lucene-memory
    - lucene-misc
    - lucene-monitor
    - lucene-suggest
    - objectweb-asm-javadoc
    - opentest4j-javadoc
    - univocity-parsers-javadoc
    - xml-commons-apis-javadoc
    - xml-commons-apis-manual
    - xmlgraphics-commons-javadoc
    - xz-java-javadoc
  buildopts:
    rpms:
      macros: >
        %app_name_prefix Red Hat Eclipse

        %_with_jp_minimal 1

        %_without_contrib_tools 1

        %_without_javahl 1

        %_without_spring 1

        %_without_tests 1

        %_without_reflections 1

        %_without_okcurl 1

        %_without_snappy 1

        %_without_hsqldb 1

        %_without_junit5 1
  components:
    rpms:
      apache-commons-compress:
        rationale: 'Runtime dependency of jgit, jython.

          '
        ref: 900e61bfbbe45d86e6a130cedad06e08486eeb14
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      apache-commons-jxpath:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: b52a72baa6d95ca020312e521e99b7cd1fb3b181
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      apiguardian:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: 9f760734825cabbe7197a047675c15b8b958d85b
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      batik:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 0c7a694e81007e8114890acfd0dde8f0ff44e428
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse:
        rationale: 'Module API.

          '
        ref: ac8694727baba1123d63442b4ccacef5bc2f284b
        buildorder: 40
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse-ecf:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 04112a75a430dae816b69bce3ac26c4354bf7be7
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse-emf:
        rationale: 'Runtime dependency of eclipse, eclipse-ecf.

          '
        ref: 6ac63c12a6a732fb155bdd89c3f9f032bcd2d16c
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-command:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: f71ccbaeed3dab76d1c14907570495fc17a6e298
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-runtime:
        rationale: "Runtime dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell.\n"
        ref: 12f2d1f0fd3cb56f7131805d512d5593e271bf2c
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-shell:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 846f9da5a4afcc1d617f490714786747ad72549a
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-scr:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 16629e5237f4d40da34a568d0d03e688b905a1a7
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-annotation-api:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 8aa6ce87d44073192c0a86e201191f8248eb1c33
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-el:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp-api.

          '
        ref: 7cf3aaaaa7cfff2a32c51b901050f910c0b0d362
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-jsp:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: c824f64498131075d889c5a9846c7ab4d0182731
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-jsp-api:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp.

          '
        ref: e3f87346f5ff81ef66ee83026edcd6d8739245a9
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-servlet-api:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp-api, jetty.

          '
        ref: 4f87c162c4e854af443e93f9e718f35943b1c4a8
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      google-gson:
        rationale: "Runtime dependency of eclipse, eclipse-cdt, jgit,\n     eclipse-m2e-core,
          eclipse-webtools.\n"
        ref: 239d27788ded1e6c95e020139f883fcbe9e49d1e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      hamcrest:
        rationale: 'Runtime dependency of eclipse, junit.

          '
        ref: f91bc666786b53823b574660f627561d62659eff
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      icu4j:
        rationale: 'Runtime dependency of eclipse, jython.

          '
        ref: a934e42362170f2418de5556c22f67c6b0987c34
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jetty:
        rationale: "Runtime dependency of eclipse, jgit,\n     eclipse-m2e-core, eclipse-webtools.\n"
        ref: 2b9bc94f7cecc07424ad2117520f547eb1dce205
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jsch:
        rationale: 'Runtime dependency of eclipse, jgit.

          '
        ref: 447f3f81a70076b3dbd58058bf255cfdc34af850
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      junit:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: 37379132864d4832e49b4930d36d4103ae138d73
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      junit5:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 55e0e693711763cab5ed1e0c1ec44a2fa4920df5
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jzlib:
        rationale: 'Runtime dependency of jgit, jsch.

          '
        ref: de5d2872c35130fcffe15f0946b01f3a8248914a
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      lucene:
        rationale: 'Runtime dependency of eclipse, eclipse-m2e-core, maven-indexer.

          '
        ref: 7f151d681f7a1b345f7d817e2eb8a90e279fcdfc
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      objectweb-asm:
        rationale: 'Runtime dependency of eclipse, eclipse-ecf, jython.

          '
        ref: 8e1a28bcf3f320c0dd25ce78a25102dff124f772
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opentest4j:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: bde1eaecc6cb08391f5505f0a5bbc32e4a781d01
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      sat4j:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: cf1f7586f939f8a939885216c60d78552cdd3550
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      univocity-parsers:
        rationale: 'Runtime dependency of junit5.

          '
        ref: 10dbb14fb9c2890f24ddcdd715dc90fea932fb02
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xml-commons-apis:
        rationale: 'Runtime dependency of batik, eclipse, eclipse-emf.

          '
        ref: d66effae971760102443df5e61d677e5a0df40fb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xmlgraphics-commons:
        rationale: 'Runtime dependency of batik.

          '
        ref: 2be661431fd5c26cdcbdaf16b5aa3a225a6f6c95
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xz-java:
        rationale: 'Runtime dependency of eclipse, apache-commons-compress.

          '
        ref: 30cf65bc07c927331f2e3c282ab8e760a24e78fb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - apache-commons-compress-0:1.20-3.module_el8.7.0+3462+69ee6723.noarch
    - apache-commons-compress-0:1.20-3.module_el8.7.0+3462+69ee6723.src
    - apache-commons-jxpath-0:1.3-36.module_el8.7.0+3462+69ee6723.noarch
    - apache-commons-jxpath-0:1.3-36.module_el8.7.0+3462+69ee6723.src
    - apiguardian-0:1.1.0-4.module_el8.7.0+3462+69ee6723.noarch
    - apiguardian-0:1.1.0-4.module_el8.7.0+3462+69ee6723.src
    - batik-0:1.11-6.module_el8.7.0+3462+69ee6723.src
    - batik-css-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-util-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-command-0:1.0.2-11.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-command-0:1.0.2-11.module_el8.7.0+3462+69ee6723.src
    - felix-gogo-runtime-0:1.1.0-7.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-runtime-0:1.1.0-7.module_el8.7.0+3462+69ee6723.src
    - felix-gogo-shell-0:1.1.0-5.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-shell-0:1.1.0-5.module_el8.7.0+3462+69ee6723.src
    - felix-scr-0:2.1.16-6.module_el8.7.0+3462+69ee6723.noarch
    - felix-scr-0:2.1.16-6.module_el8.7.0+3462+69ee6723.src
    - glassfish-annotation-api-0:1.3.2-3.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-annotation-api-0:1.3.2-3.module_el8.7.0+3462+69ee6723.src
    - glassfish-el-0:3.0.1-0.14.b08.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-el-0:3.0.1-0.14.b08.module_el8.7.0+3462+69ee6723.src
    - glassfish-el-api-0:3.0.1-0.14.b08.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-jsp-0:2.3.4-6.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-jsp-0:2.3.4-6.module_el8.7.0+3462+69ee6723.src
    - glassfish-jsp-api-0:2.3.3-3.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-jsp-api-0:2.3.3-3.module_el8.7.0+3462+69ee6723.src
    - glassfish-servlet-api-0:3.1.0-19.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-servlet-api-0:3.1.0-19.module_el8.7.0+3462+69ee6723.src
    - google-gson-0:2.8.6-5.module_el8.7.0+3462+69ee6723.noarch
    - google-gson-0:2.8.6-5.module_el8.7.0+3462+69ee6723.src
    - hamcrest-0:1.3-29.module_el8.7.0+3462+69ee6723.noarch
    - hamcrest-0:1.3-29.module_el8.7.0+3462+69ee6723.src
    - hamcrest-core-0:1.3-29.module_el8.7.0+3462+69ee6723.noarch
    - icu4j-1:65.1-3.module_el8.7.0+3462+69ee6723.noarch
    - icu4j-1:65.1-3.module_el8.7.0+3462+69ee6723.src
    - jetty-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.src
    - jetty-continuation-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-http-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-io-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-security-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-server-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-servlet-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-util-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jsch-0:0.1.54-12.module_el8.7.0+3462+69ee6723.noarch
    - jsch-0:0.1.54-12.module_el8.7.0+3462+69ee6723.src
    - junit-1:4.12-14.module_el8.7.0+3462+69ee6723.noarch
    - junit-1:4.12-14.module_el8.7.0+3462+69ee6723.src
    - junit5-0:5.6.2-2.module_el8.7.0+3462+69ee6723.noarch
    - junit5-0:5.6.2-2.module_el8.7.0+3462+69ee6723.src
    - jzlib-0:1.1.3-14.module_el8.7.0+3462+69ee6723.noarch
    - jzlib-0:1.1.3-14.module_el8.7.0+3462+69ee6723.src
    - lucene-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-0:8.4.1-5.module_el8.7.0+3462+69ee6723.src
    - lucene-analysis-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-analyzers-smartcn-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-queries-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-queryparser-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-sandbox-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - objectweb-asm-0:7.3.1-3.module_el8.7.0+3462+69ee6723.noarch
    - objectweb-asm-0:7.3.1-3.module_el8.7.0+3462+69ee6723.src
    - opentest4j-0:1.2.0-2.module_el8.7.0+3462+69ee6723.noarch
    - opentest4j-0:1.2.0-2.module_el8.7.0+3462+69ee6723.src
    - sat4j-0:2.3.5-19.module_el8.7.0+3462+69ee6723.noarch
    - sat4j-0:2.3.5-19.module_el8.7.0+3462+69ee6723.src
    - univocity-parsers-0:2.8.4-3.module_el8.7.0+3462+69ee6723.noarch
    - univocity-parsers-0:2.8.4-3.module_el8.7.0+3462+69ee6723.src
    - xml-commons-apis-0:1.4.01-31.module_el8.7.0+3462+69ee6723.noarch
    - xml-commons-apis-0:1.4.01-31.module_el8.7.0+3462+69ee6723.src
    - xmlgraphics-commons-0:2.3-4.module_el8.7.0+3462+69ee6723.noarch
    - xmlgraphics-commons-0:2.3-4.module_el8.7.0+3462+69ee6723.src
    - xz-java-0:1.8-8.module_el8.7.0+3462+69ee6723.noarch
    - xz-java-0:1.8-8.module_el8.7.0+3462+69ee6723.src
...
---
document: modulemd
version: 2
data:
  name: eclipse-devel
  stream: "rhel8"
  version: 8070020230328123605
  context: 7c4c8caf
  arch: aarch64
  summary: An open, extensible IDE and application platform
  description: >-
    The Eclipse platform is designed for building integrated development environments
    (IDEs), desktop applications, and everything in between.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      eclipse: [rhel8]
      platform: [el8]
      tycho: [rhel8]
    requires:
      eclipse: [rhel8]
      platform: [el8]
  profiles:
    java:
      rpms:
      - eclipse-equinox-osgi
      - eclipse-jdt
      - eclipse-pde
      - eclipse-platform
      - eclipse-swt
  api:
    rpms:
    - eclipse-ecf-core
    - eclipse-ecf-runtime
    - eclipse-emf-core
    - eclipse-emf-runtime
    - eclipse-emf-xsd
    - eclipse-equinox-osgi
    - eclipse-jdt
    - eclipse-p2-discovery
    - eclipse-pde
    - eclipse-platform
    - eclipse-swt
  filter:
    rpms:
    - apache-commons-compress-javadoc
    - apache-commons-jxpath-javadoc
    - apache-sshd-javadoc
    - apiguardian-javadoc
    - args4j-javadoc
    - args4j-parent
    - args4j-tools
    - batik
    - batik-demo
    - batik-javadoc
    - batik-rasterizer
    - batik-slideshow
    - batik-squiggle
    - batik-svgpp
    - batik-ttf2svg
    - bouncycastle-javadoc
    - eclipse-ecf-sdk
    - eclipse-emf-sdk
    - ed25519-java-javadoc
    - felix-gogo-command-javadoc
    - felix-gogo-runtime-javadoc
    - felix-gogo-shell-javadoc
    - felix-scr-javadoc
    - glassfish-annotation-api-javadoc
    - glassfish-el-javadoc
    - glassfish-jsp-api-javadoc
    - glassfish-jsp-javadoc
    - glassfish-servlet-api-javadoc
    - google-gson-javadoc
    - hamcrest-demo
    - hamcrest-javadoc
    - icu4j-charset
    - icu4j-javadoc
    - icu4j-localespi
    - javaewah-javadoc
    - jetty
    - jetty-client
    - jetty-jaas
    - jetty-javadoc
    - jetty-jmx
    - jetty-webapp
    - jetty-xml
    - jsch-javadoc
    - junit-javadoc
    - junit-manual
    - junit5-guide
    - junit5-javadoc
    - jzlib-demo
    - jzlib-javadoc
    - lucene-backward-codecs
    - lucene-classification
    - lucene-codecs
    - lucene-grouping
    - lucene-highlighter
    - lucene-javadoc
    - lucene-join
    - lucene-memory
    - lucene-misc
    - lucene-monitor
    - lucene-suggest
    - objectweb-asm-javadoc
    - opentest4j-javadoc
    - univocity-parsers-javadoc
    - xml-commons-apis-javadoc
    - xml-commons-apis-manual
    - xmlgraphics-commons-javadoc
    - xz-java-javadoc
  buildopts:
    rpms:
      macros: >
        %app_name_prefix Red Hat Eclipse

        %_with_jp_minimal 1

        %_without_contrib_tools 1

        %_without_javahl 1

        %_without_spring 1

        %_without_tests 1

        %_without_reflections 1

        %_without_okcurl 1

        %_without_snappy 1

        %_without_hsqldb 1

        %_without_junit5 1
  components:
    rpms:
      apache-commons-compress:
        rationale: 'Runtime dependency of jgit, jython.

          '
        ref: 900e61bfbbe45d86e6a130cedad06e08486eeb14
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      apache-commons-jxpath:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: b52a72baa6d95ca020312e521e99b7cd1fb3b181
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      apiguardian:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: 9f760734825cabbe7197a047675c15b8b958d85b
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      batik:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 0c7a694e81007e8114890acfd0dde8f0ff44e428
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse:
        rationale: 'Module API.

          '
        ref: ac8694727baba1123d63442b4ccacef5bc2f284b
        buildorder: 40
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse-ecf:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 04112a75a430dae816b69bce3ac26c4354bf7be7
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      eclipse-emf:
        rationale: 'Runtime dependency of eclipse, eclipse-ecf.

          '
        ref: 6ac63c12a6a732fb155bdd89c3f9f032bcd2d16c
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-command:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: f71ccbaeed3dab76d1c14907570495fc17a6e298
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-runtime:
        rationale: "Runtime dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell.\n"
        ref: 12f2d1f0fd3cb56f7131805d512d5593e271bf2c
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-gogo-shell:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 846f9da5a4afcc1d617f490714786747ad72549a
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      felix-scr:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 16629e5237f4d40da34a568d0d03e688b905a1a7
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-annotation-api:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 8aa6ce87d44073192c0a86e201191f8248eb1c33
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-el:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp-api.

          '
        ref: 7cf3aaaaa7cfff2a32c51b901050f910c0b0d362
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-jsp:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: c824f64498131075d889c5a9846c7ab4d0182731
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-jsp-api:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp.

          '
        ref: e3f87346f5ff81ef66ee83026edcd6d8739245a9
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      glassfish-servlet-api:
        rationale: 'Runtime dependency of eclipse, glassfish-jsp-api, jetty.

          '
        ref: 4f87c162c4e854af443e93f9e718f35943b1c4a8
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      google-gson:
        rationale: "Runtime dependency of eclipse, eclipse-cdt, jgit,\n     eclipse-m2e-core,
          eclipse-webtools.\n"
        ref: 239d27788ded1e6c95e020139f883fcbe9e49d1e
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      hamcrest:
        rationale: 'Runtime dependency of eclipse, junit.

          '
        ref: f91bc666786b53823b574660f627561d62659eff
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      icu4j:
        rationale: 'Runtime dependency of eclipse, jython.

          '
        ref: a934e42362170f2418de5556c22f67c6b0987c34
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jetty:
        rationale: "Runtime dependency of eclipse, jgit,\n     eclipse-m2e-core, eclipse-webtools.\n"
        ref: 2b9bc94f7cecc07424ad2117520f547eb1dce205
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jsch:
        rationale: 'Runtime dependency of eclipse, jgit.

          '
        ref: 447f3f81a70076b3dbd58058bf255cfdc34af850
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      junit:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: 37379132864d4832e49b4930d36d4103ae138d73
        buildorder: 20
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      junit5:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: 55e0e693711763cab5ed1e0c1ec44a2fa4920df5
        buildorder: 30
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      jzlib:
        rationale: 'Runtime dependency of jgit, jsch.

          '
        ref: de5d2872c35130fcffe15f0946b01f3a8248914a
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      lucene:
        rationale: 'Runtime dependency of eclipse, eclipse-m2e-core, maven-indexer.

          '
        ref: 7f151d681f7a1b345f7d817e2eb8a90e279fcdfc
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      objectweb-asm:
        rationale: 'Runtime dependency of eclipse, eclipse-ecf, jython.

          '
        ref: 8e1a28bcf3f320c0dd25ce78a25102dff124f772
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opentest4j:
        rationale: 'Runtime dependency of eclipse, junit5.

          '
        ref: bde1eaecc6cb08391f5505f0a5bbc32e4a781d01
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      sat4j:
        rationale: 'Runtime dependency of eclipse.

          '
        ref: cf1f7586f939f8a939885216c60d78552cdd3550
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      univocity-parsers:
        rationale: 'Runtime dependency of junit5.

          '
        ref: 10dbb14fb9c2890f24ddcdd715dc90fea932fb02
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xml-commons-apis:
        rationale: 'Runtime dependency of batik, eclipse, eclipse-emf.

          '
        ref: d66effae971760102443df5e61d677e5a0df40fb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xmlgraphics-commons:
        rationale: 'Runtime dependency of batik.

          '
        ref: 2be661431fd5c26cdcbdaf16b5aa3a225a6f6c95
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      xz-java:
        rationale: 'Runtime dependency of eclipse, apache-commons-compress.

          '
        ref: 30cf65bc07c927331f2e3c282ab8e760a24e78fb
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - apache-commons-compress-javadoc-0:1.20-3.module_el8.7.0+3462+69ee6723.noarch
    - apache-commons-jxpath-javadoc-0:1.3-36.module_el8.7.0+3462+69ee6723.noarch
    - apiguardian-javadoc-0:1.1.0-4.module_el8.7.0+3462+69ee6723.noarch
    - batik-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-0:1.11-6.module_el8.7.0+3462+69ee6723.src
    - batik-demo-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-javadoc-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-rasterizer-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-slideshow-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-squiggle-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-svgpp-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - batik-ttf2svg-0:1.11-6.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-command-javadoc-0:1.0.2-11.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-runtime-javadoc-0:1.1.0-7.module_el8.7.0+3462+69ee6723.noarch
    - felix-gogo-shell-javadoc-0:1.1.0-5.module_el8.7.0+3462+69ee6723.noarch
    - felix-scr-javadoc-0:2.1.16-6.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-annotation-api-javadoc-0:1.3.2-3.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-el-javadoc-0:3.0.1-0.14.b08.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-jsp-api-javadoc-0:2.3.3-3.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-jsp-javadoc-0:2.3.4-6.module_el8.7.0+3462+69ee6723.noarch
    - glassfish-servlet-api-javadoc-0:3.1.0-19.module_el8.7.0+3462+69ee6723.noarch
    - google-gson-javadoc-0:2.8.6-5.module_el8.7.0+3462+69ee6723.noarch
    - hamcrest-demo-0:1.3-29.module_el8.7.0+3462+69ee6723.noarch
    - hamcrest-javadoc-0:1.3-29.module_el8.7.0+3462+69ee6723.noarch
    - icu4j-charset-1:65.1-3.module_el8.7.0+3462+69ee6723.noarch
    - icu4j-javadoc-1:65.1-3.module_el8.7.0+3462+69ee6723.noarch
    - icu4j-localespi-1:65.1-3.module_el8.7.0+3462+69ee6723.noarch
    - jetty-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.src
    - jetty-client-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-jaas-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-javadoc-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-jmx-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-webapp-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jetty-xml-0:9.4.30-2.v20200611.module_el8.7.0+3462+69ee6723.noarch
    - jsch-javadoc-0:0.1.54-12.module_el8.7.0+3462+69ee6723.noarch
    - junit-javadoc-1:4.12-14.module_el8.7.0+3462+69ee6723.noarch
    - junit-manual-1:4.12-14.module_el8.7.0+3462+69ee6723.noarch
    - junit5-guide-0:5.6.2-2.module_el8.7.0+3462+69ee6723.noarch
    - junit5-javadoc-0:5.6.2-2.module_el8.7.0+3462+69ee6723.noarch
    - jzlib-demo-0:1.1.3-14.module_el8.7.0+3462+69ee6723.noarch
    - jzlib-javadoc-0:1.1.3-14.module_el8.7.0+3462+69ee6723.noarch
    - lucene-backward-codecs-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-classification-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-codecs-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-grouping-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-highlighter-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-javadoc-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-join-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-memory-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-misc-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-monitor-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - lucene-suggest-0:8.4.1-5.module_el8.7.0+3462+69ee6723.noarch
    - objectweb-asm-javadoc-0:7.3.1-3.module_el8.7.0+3462+69ee6723.noarch
    - opentest4j-javadoc-0:1.2.0-2.module_el8.7.0+3462+69ee6723.noarch
    - univocity-parsers-javadoc-0:2.8.4-3.module_el8.7.0+3462+69ee6723.noarch
    - xml-commons-apis-javadoc-0:1.4.01-31.module_el8.7.0+3462+69ee6723.noarch
    - xml-commons-apis-manual-0:1.4.01-31.module_el8.7.0+3462+69ee6723.noarch
    - xmlgraphics-commons-javadoc-0:2.3-4.module_el8.7.0+3462+69ee6723.noarch
    - xz-java-javadoc-0:1.8-8.module_el8.7.0+3462+69ee6723.noarch
...
